
Foreman - Bug #11426

puppet class edit should not allow to remove class paramteres

08/19/2015 07:34 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2624

  

Description

when editing a puppet class, it should not be allowed to remove a class parameters from the UI.

Related issues:

Related to Foreman - Bug #11693: Smart class parameters API still has destroy... Closed 09/04/2015

Associated revisions

Revision 64b8c7a4 - 09/04/2015 05:11 AM - Ondřej Pražák

Fixes #11426 - remove puppet class paremeters no longer possible during edit in UI

History

#1 - 08/20/2015 03:21 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2624 added

- Pull request deleted ()

#2 - 09/04/2015 06:02 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 64b8c7a4573a3ee662cd1f0148ceedda5d821278.

#3 - 09/04/2015 06:03 AM - Dominic Cleal

- Assignee set to Ondřej Pražák

- translation missing: en.field_release set to 63

#4 - 09/04/2015 06:06 AM - Dominic Cleal

- Related to Bug #11693: Smart class parameters API still has destroy action added
